Bug 117142 - Calc adds a number and ";#" characters to the beginning of the names in SharePoint lists
Summary: Calc adds a number and ";#" characters to the beginning of the names in Share...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SharePoint-List
  Show dependency treegraph
 
Reported: 2018-04-21 12:09 UTC by Gabor Kelemen (allotropia)
Modified: 2021-11-07 04:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-04-21 12:09:33 UTC
LibreOffice adds a number and ";#" characters before the names of the persons who last changed the file.

Steps to reproduce:
1. Open a SharePoint directory in Internet Explorer.
2. Export the directory list into Excel.
3. Open and process the .igy file with Calc.
4. Save the sheet into .ods format. (see attachment #141517 [details] )
5. Open and process the .igy file with Excel.
6. Save the sheet into .xlsx format. (see attachment #141516 [details] )

Actual results:
LibreOffice Calc adds a number and ";#" character before the names of the persons who last changed the file in column "D" (attachment #141519 [details] ).
Microsoft Excel shows the names of the persons who last changed the listed file in column "C" ( attachment #141518 [details] ) correctly.

Expected results:
The names in column "D" should be displayed correctly in LibreOffice Calc.
Comment 1 raal 2018-05-04 13:39:04 UTC
repro with LO Version: 6.1.0.0.alpha1+
    Build ID: f154f63cb662f02415d5cb0051011bdb5d0d523c

SharePoint 2013
Comment 2 QA Administrators 2019-11-07 03:33:46 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2021-11-07 04:22:54 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug